package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysRule;

/**
 * 通行规则Mapper接口
 * 
 * @author nichun
 * @date 2023-03-08
 */
public interface SysRuleMapper 
{
    /**
     * 查询通行规则
     * 
     * @param id 通行规则主键
     * @return 通行规则
     */
    public SysRule selectSysRuleById(Long id);

    /**
     * 查询通行规则列表
     * 
     * @param sysRule 通行规则
     * @return 通行规则集合
     */
    public List<SysRule> selectSysRuleList(SysRule sysRule);

    /**
     * 新增通行规则
     * 
     * @param sysRule 通行规则
     * @return 结果
     */
    public int insertSysRule(SysRule sysRule);

    /**
     * 修改通行规则
     * 
     * @param sysRule 通行规则
     * @return 结果
     */
    public int updateSysRule(SysRule sysRule);

    /**
     * 删除通行规则
     * 
     * @param id 通行规则主键
     * @return 结果
     */
    public int deleteSysRuleById(Long id);

    /**
     * 批量删除通行规则
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysRuleByIds(Long[] ids);
}
